
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]			= "beetle_fly"
	actor[cp_model_dir]				= "beasties"
	actor[cp_model_name]			= "beetle"

	actor[cp_remove_between_stage]	= 2
--	actor[cp_incoming_arrow]		= 1
	actor[cp_bruise_fruit]			= 1

	actor[cp_hit_power]				= -0.1

	actor[cp_move_target]			= "track_beastie_all"

	actor[cp_in_beastie_count]		= 0

	actor[cp_move_type]					= cmt_track

	actor[cp_actor_type]				= cat_block + cat_crystal
	actor[cp_i_collide_with_beasties]	= cat_block + cat_player
	actor[cp_these_collide_with_me]		= cat_bullet + cat_explosion

	-- movement
	actor[cp_move_speed_min]		= 0.2
	actor[cp_move_speed_max]		= 0.2
	actor[cp_move_acceleration]		= 0.01
	actor[cp_move_deceleration]		= 0.01
	actor[cp_move_inertia_accn]		= 0.99
	actor[cp_move_inertia_decn]		= 0.99

	actor[cp_target_stop_dist]		= 9.0

	actor[cp_max_path_stop_dist]	= 30.0

	actor[cp_target_delay_min]	= 0.5
	actor[cp_target_delay_max]	= 1.0

--	actor[cp_turn_lock_angle_inner]		= 115.0
--	actor[cp_turn_lock_angle_outer]		= 125.0
	actor[cp_turn_speed_still]			= 6.0
	actor[cp_turn_acceleration_still]	= 0.5
	actor[cp_turn_inertia_still]		= 0.0
	actor[cp_turn_speed_moving]			= 3.0
	actor[cp_turn_acceleration_moving]	= 0.5
	actor[cp_turn_inertia_moving]		= 0.0

--	actor[cp_weight]					= 1.0
	actor[cp_weight]					= 0.8
	actor[cp_max_explosion_speed]		= 0.4

	actor[cp_launch_scale_min]		= 50.0
	actor[cp_launch_scale_max]		= 50.0

-- leave me
	c_preload_model( actor )
-- leave me


	c_set_random_anim( "fly", 300.0, 300.0, 0.0, 0.0 )
	c_set_random_anim( "dust", 100.0, 100.0, 0.0, 0.0 )
	c_set_random_anim( "blink", 100.0, 100.0, 0.1, 2.0 )

	c_add_particle_to_anim( "dust", "legbone_x", "beetle-fly-dust" )	

	c_add_shadow_to_bone( "bob", 10.0 )

	c_add_sound_to_speed( "general_beetlefly_buzz_loop", 1.0 )

	c_add_particle_to_anim( "emerge", "main", "crab-emerge" )
	c_add_particle_to_anim( "emerge", "main", "crab-emerge-twinkle" )
	c_add_particle_to_anim( "byebye", "main", "crab-emerge" )
	c_add_particle_to_anim( "byebye", "main", "crab-emerge-twinkle" )

